Summary: 	A lava lamp of currently running processes
Name: 		lavaps
Version: 	2.7
Release: 	%{mkrel 10}
License: 	GPLv2+
Group: 		Monitoring
URL:	 	http://www.isi.edu/~johnh/SOFTWARE/LAVAPS
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		lavaps-gcc.patch
# Drop an unnecessary include that breaks build - AdamW 2008/12
Patch1:		lavaps-2.7-include.patch
# GCC 4.3 include issues - AdamW 2008/12
Patch2:		lavaps-2.7-gcc43.patch
BuildRequires:  tcl-devel
BuildRequires:  tk-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  GConf2
BuildRequires:  gnomeui2-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Lavaps is an interactive process-tracking program like ``top'', but
with a much different attitude.  Rather than presenting lots of
specific info in digital form, it tries to present certain important
information in a graphical analog form.  The idea is that you can run
it in the background and get a rough idea of what's happening to your
system without devoting much concentration to the task.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .include
%patch2 -p1 -b .gcc43

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Categories=System;Monitor;
Name=Lavaps
Comment=A graphical process viewer
Icon=monitoring_section
Exec=lavaps
EOF

rm -rf %{buildroot}%_sysconfdir/gconf/gconf.xml.defaults/%gconf.xml
rm -rf %{buildroot}%_sysconfdir/gconf/gconf.xml.defaults/apps/%gconf.xml

rm -rf %{buildroot}%_sysconfdir/gconf/gconf.xml.defaults/schemas/%gconf.xml
rm -rf %{buildroot}%_sysconfdir/gconf/gconf.xml.defaults/schemas/apps/%gconf.xml

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/mandriva-*.desktop
#%_sysconfdir/gconf/gconf.xml.defaults/apps/lavaps/%gconf.xml
#%_sysconfdir/gconf/gconf.xml.defaults/schemas/apps/lavaps/%gconf.xml
%{_sysconfdir}/gconf/schemas/lavaps.schemas



%changelog
* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 2.7-10mdv2011.0
+ Revision: 677819
- rebuild to add gconftool as req

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.7-9mdv2011.0
+ Revision: 438179
- rebuild

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.7-8mdv2009.1
+ Revision: 311071
- rebuild for new tcl
- add include.patch to drop an unnecessary include that breaks build
- add gcc43.patch for gcc 4.3 build issues
- new license policy
- unzip old patch
- spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 04 2008 Thierry Vignaud <tv@mandriva.org> 2.7-5mdv2008.1
+ Revision: 145290
- auto-convert XDG menu entry
- br gnomeui2-devel
- kill re-definition of %%buildroot on Pixel's request
- import lavaps

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Jan 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.7-5mdk
- Fix Buildrequires

* Thu Jan 19 2006 Lenny Cartier <lenny@mandriva.com> 2.7-4mdk
- add debian amd64 patch
- inspec menu

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.7-3mdk
- Fix BuildRequires

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.7-2mdk
- Fix BuildRequires
- use mkrel

* Wed Feb 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.7-1mdk
- 2.7

* Fri Sep 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4-1mdk
- 2.40

* Sat Jan 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.20-4mdk
- rebuild

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.20-3mdk
- rebuild

* Tue May 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.20-2mdk
- rebuilt against new libstdc++

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.20-1mdk
- update to 1.20
- Fix menu entry

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.19-1mdk
- updated to 1.19

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.18-1mdk
- updated to 1.18

* Fri Sep 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- BM
- macros
- v1.15

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.10-2mdk
- bzip2 archive
- fix permission on spec

* Mon Mar 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.10-1mdk
- mandrake version

